package is run with "dpkg --configure" but not "dpkg --unpack" before causing failure

Bug #291482 reported by FredrikAgert
4
Affects Status Importance Assigned to Milestone
apt (Ubuntu)
Triaged
High
Unassigned

Bug Description

After upgrading from Ubuntu 8.04 to Ubuntu 8.10, a lot of modules failed to upgrade. Logging in to the failsafe xterm and issuing
#apt-get update
#apt-get upgrade
#apt-get install
solved the problem. This report was from before issuing the apt-get commands

Computer Dell Latitude D620

ProblemType: Package
Architecture: i386
DistroRelease: Ubuntu 8.10
ErrorMessage:
 ErrorMessage: paketet libgnome2-0 är redan installerat och konfigurerat
NonfreeKernelModules: nvidia
Package: libgnome2-0 2.24.1-0ubuntu4
SourcePackage: libgnome
Title: package libgnome2-0 2.24.1-0ubuntu4 failed to install/upgrade:
Uname: Linux 2.6.27-7-generic i686

Revision history for this message
FredrikAgert (fredrik-agert) wrote :
Revision history for this message
Michael Vogt (mvo) wrote :

Here is what is causing the error:

dpkg: fel vid hantering av x11-common (--configure):^M
 paketet x11-common är redan installerat och konfigurerat^M
Fel uppstod vid hantering:^M
 x11-common^M

This is the first (and only) line of x11-common in the terminal log. The error message tranlsates to "package is already installed and configured"

Now this looks like x11-common got not unpacked before apt ran --configure on it. So this might be either a nasty bug in the ordering code or a problem with the commandline that apt generates to call dpkg.

Revision history for this message
Michael Vogt (mvo) wrote :

Could you please attach the file /var/log/dpkg.log from the failed system here too? I setup a test system trying to reproduce the issue but was unable to, I will try harder again.

Revision history for this message
FredrikAgert (fredrik-agert) wrote :

OK here the dpkg.log comes
b.r. //Fredrik

Revision history for this message
Michael Vogt (mvo) wrote :

I tried to reproduce this in various way but failed so far. It seems like this is a ordering bug in libapt, I keep investigating.

Changed in apt:
importance: Undecided → High
status: New → Triaged
tags: added: dist-upgrade
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers